OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_bitbuffer_read.h File Reference
`#include "ojph_defs.h"`
`#include "ojph_file.h"`

Go to the source code of this file.

## Classes
struct | ojph::local::bit_read_buf

## Namespaces
namespace | ojph
namespace | ojph::local

## Functions
static void | ojph::local::bb_init (bit_read_buf *bbp, ui32 bytes_left, infile_base *file)
static bool | ojph::local::bb_read (bit_read_buf *bbp)
static bool | ojph::local::bb_read_bit (bit_read_buf *bbp, ui32 &bit)
static bool | ojph::local::bb_read_bits (bit_read_buf *bbp, int num_bits, ui32 &bits)
static bool | ojph::local::bb_read_chunk (bit_read_buf *bbp, ui32 num_bytes, coded_lists *&cur_coded_list, mem_elastic_allocator *elastic)
static void | ojph::local::bb_skip_eph (bit_read_buf *bbp)
static bool | ojph::local::bb_terminate (bit_read_buf *bbp, bool uses_eph)
static bool | ojph::local::bb_skip_sop (bit_read_buf *bbp)